using PARR.DAL.Context;
using PARR.DAL.Models;
using PARR.DAL.Services.Interfaces;

namespace PARR.DAL.Services.Implementations
{
    internal class RobotHistoryLevelService : IRobotHistoryLevelService
    {
        private readonly DataContext dataContext;

        public RobotHistoryLevelService(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<RobotHistoryLevel> Get()
        {
            return dataContext.RobotHistoryLevels;
        }
    }
}
